# Method: networks.patch

Updates a Network.

### HTTP request

`PATCH https://middlemileoptimization.googleapis.com/v1/{network.name=networks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `network.name` | `string` Identifier. Cannot be updated. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks#Network`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks#Network`.